Debian Bug report logs - #420419
xserver-xorg-video-intel crashes with old dual-head config

version graph

Package: xserver-xorg-video-intel; Maintainer for xserver-xorg-video-intel is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-intel is src:xserver-xorg-video-intel.

Reported by: Ruben Porras <nahoo82@gmail.com>

Date: Sun, 22 Apr 2007 08:27:01 UTC

Severity: important

Tags: upstream, wontfix

Merged with 426893, 431389

Found in versions xserver-xorg-video-intel/2:2.0.0-1, xserver-xorg-video-intel/2:2.0.0-3

Done: Solveig <debian@solveig.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=10706, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=10299

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Ruben Porras <nahoo82@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ruben Porras <nahoo82@gmail.com>
To: submit@bugs.debian.org
Subject: xserver-xorg-video-intel: Chrashes on startup
Date: Sun, 22 Apr 2007 10:19:22 +0200
Package: xserver-xorg-video-intel
Version: 2:2.0.0-1
Severity: grave
Justification: renders package unusable

After upgrading the server is no more able to start.

xauth:  creating new authority file /home/bennett/.serverauth.5642

X Window System Version 1.3.0
Release Date: 19 April 2007
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Linux Debian
Current Operating System: Linux localhost 2.6.21-rc4 #2 Tue Mar 27
11:18:20 CEST 2007 i686
Build Date: 20 April 2007
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Apr 21 08:27:16 2007
(==) Using config file: "/etc/X11/xorg.conf"
(II) Module already built-in

(WW) intel: No matching Device section for instance (BusID PCI:0:2:1)
found
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in

Backtrace:
0: /usr/bin/X11/X(xf86SigHandler+0x84) [0x80c20e4]
1: [0xffffe420]
2: /usr/lib/xorg/modules/drivers//i810_drv.so [0xb7b49ec0]
3: /usr/lib/xorg/modules/drivers//i810_drv.so [0xb7b4ae6e]
4: /usr/lib/xorg/modules/drivers//i810_drv.so(i830_allocate_2d_memory
+0x131) [0xb7b4b161]
5: /usr/lib/xorg/modules/drivers//i810_drv.so [0xb7b46f2e]
6: /usr/bin/X11/X(AddScreen+0x1ed) [0x806f8ad]
7: /usr/bin/X11/X(InitOutput+0x22e) [0x80a14ae]
8: /usr/bin/X11/X(main+0x27b) [0x807004b]
9: /lib/i686/cmov/libc.so.6(__libc_start_main+0xd8) [0xb7d18878]
10: /usr/bin/X11/X(FontFileCompleteXLFD+0xad) [0x806f591]

Fatal server error:
Caught signal 11.  Server aborting

XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 0 requests (0 known processed) with 0 events remaining.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1,
'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-rc4
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                   2.5-2            GNU C Library: Shared
libraries
ii  libdrm2                 2.3.0-4          Userspace interface to
kernel DRM
ii  xserver-xorg-core       2:1.3.0.0.dfsg-1 X.Org X server -- core
server

xserver-xorg-video-intel recommends no packages.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 420419@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Ruben Porras <nahoo82@gmail.com>
Cc: 420419@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Sun, 22 Apr 2007 13:21:42 +0200
severity 420219 important
thank you



Ruben Porras wrote:
> Package: xserver-xorg-video-intel
> Version: 2:2.0.0-1
> Severity: grave
> Justification: renders package unusable
>   

It's not unusable for everybody fortunately :) A crash of the server
usually goes to severity important.

> After upgrading the server is no more able to start.
>   

Could you send us the output of
    /usr/share/bug/xserver-xorg-core/script 3>&1
so that we see your config and full log file?

It might be caused by your xorg.conf containing dual-head/xinerama or
other complicated stuff that are not needed anymore and should be
dropped and configured at runtime with xrandr.

Brice




Severity set to `important' from `grave' Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sun, 22 Apr 2007 11:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to "Thue Janus Kristensen" <thuejk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 420419@bugs.debian.org (full text, mbox):

From: "Thue Janus Kristensen" <thuejk@gmail.com>
To: 420419@bugs.debian.org
Subject: Output of /usr/share/bug/xserver-xorg-core/script
Date: Sun, 22 Apr 2007 14:33:32 +0200
[Message part 1 (text/plain, inline)]
I have the same problem with my system, which is set up with xinerama.

the output of /usr/share/bug/xserver-xorg-core/script is attached.

Regards, Thue
[Message part 2 (text/html, inline)]
[xorg_script (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Ruben Porras <nahoo82@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 420419@bugs.debian.org (full text, mbox):

From: Ruben Porras <nahoo82@gmail.com>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 420419@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Sun, 22 Apr 2007 20:49:38 +0200
[Message part 1 (text/plain, inline)]
Am Sonntag, den 22.04.2007, 13:21 +0200 schrieb Brice Goglin:
> It's not unusable for everybody fortunately :) A crash of the server
> usually goes to severity important.

ok ;)

> > After upgrading the server is no more able to start.
> >   
> 
> Could you send us the output of
>     /usr/share/bug/xserver-xorg-core/script 3>&1
> so that we see your config and full log file?
> 
> It might be caused by your xorg.conf containing dual-head/xinerama or
> other complicated stuff that are not needed anymore and should be
> dropped and configured at runtime with xrandr.

yup, it contains dual-head.

Thanks.
[log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 420419@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Ruben Porras <nahoo82@gmail.com>
Cc: 420419@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Sun, 22 Apr 2007 21:16:37 +0200
retitle 420419 xserver-xorg-video-intel crashes with old dual-head config
forwarded 420419 https://bugs.freedesktop.org/show_bug.cgi?id=10706
thank you






Ruben Porras wrote:
> yup, it contains dual-head.
>   

Ok it explains the crash. There's already an upstream bug at
https://bugs.freedesktop.org/show_bug.cgi?id=10706

> Section "Device"
>         Identifier      "915-LCD"
>         Driver          "i810"
>         BusID           "PCI:0:2:0"
>         Option          "MonitorLayout" "CRT,LFP"
>         Screen          0
> EndSection
>
> Section "Device"
>         Identifier      "915-External"
>         Driver          "i810"
>         BusID           "PCI:0:2:0"
>         Option          "MonitorLayout" "CRT,LFP"
>         Screen          1
> #        Option          "Rotate" "CCW"
> EndSection
>   

Please keep a single entry here, and drop the MonitorLayout and Screen
lines.

> Section "Monitor"
>         Identifier      "LCD"
>         Option          "DPMS"
> EndSection
>
> Section "Monitor"
>         Identifier      "External"
>         Option          "DPMS"
> 	HorizSync	28-49
> 	VertRefresh	40-80
> EndSection
>   

Keep a single entry, drop the HorizSync and VertRefresh.

> Section "Screen"
>         Identifier      "LCD Screen"
>         Device          "915-LCD"
>         Monitor         "LCD"
>         DefaultDepth    24
>         SubSection "Display"
>                 Depth           16
>                 Modes           "1024x768"
>         EndSubSection
>         SubSection "Display"
>                 Depth           24
>                 Modes           "1024x768"
>         EndSubSection
> EndSection
>
> Section "Screen"
>         Identifier      "External Screen"
>         Device          "915-External"
>         Monitor         "External"
>         DefaultDepth    24
>         SubSection "Display"
>                 Depth           16
>                 Modes           "1280x1024" "1024x768"
>         EndSubSection
>         SubSection "Display"
>                 Depth           24
>                 Modes           "1280x1024" "1024x768"
>         EndSubSection
> EndSection
>   

Keep a single entry and drop the "Modes" lines.
Instead of the "Modes" line, add "Virtual 2048 2048" (or whatever
virtual screen size you need to put both monitors aside).

> Section "ServerLayout"
> 	Identifier	"Default Layout"
>         Screen                  "LCD Screen"
>         Screen                  "External Screen" LeftOf "LCD Screen"
> #        Screen                  "External Screen" RightOf "LCD Screen"
> #	Screen		"Default Screen"
>   

Keep a single Screen line without any LeftOf/RightOf indication.

To get the same behavior with this config, you may just do something like
    xrandr --output VGA --right-of LVDS
after starting X to place one monitor on the right of the other one.

> Section "DRI"
> 	Mode	0666
> EndSection
>   
This is the default now.

Brice




Changed Bug title to xserver-xorg-video-intel crashes with old dual-head config from xserver-xorg-video-intel: Chrashes on startup. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sun, 22 Apr 2007 19:24:04 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=10706. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sun, 22 Apr 2007 19:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Daniel Ruoso <daniel.ruoso@segula.pt>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 420419@bugs.debian.org (full text, mbox):

From: Daniel Ruoso <daniel.ruoso@segula.pt>
To: 420419@bugs.debian.org
Subject: Current version don't support dual-screen in dual-head
Date: Mon, 23 Apr 2007 16:23:33 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've recently updated to the new version, I had the old config for
dual-head, and it was breaking the X server. I've followed what is in
this bug report and it worked as expected except for some things...

1) I couldn't make the X server work with two different screens (I
mean :0.0 and :0.1), I only get a xinerama-like support, which is not
what I want (I like to have 2 x more desktops of the same size and not
having 2 x bigger the same number of desktops).

2) It seems that this also disabled gl support, I used to have direct
rendering, but I don't have it anymore.

I'm attaching my config file, but I really don't think there's also
really specific, in fact, it seems to be ignoring my declaration of two
screens.

daniel
[xorg.conf (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 420419@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Daniel Ruoso <daniel.ruoso@segula.pt>, 420419@bugs.debian.org
Subject: Re: Bug#420419: Current version don't support dual-screen in dual-head
Date: Mon, 23 Apr 2007 21:45:12 +0200
Daniel Ruoso wrote:
> 1) I couldn't make the X server work with two different screens (I
> mean :0.0 and :0.1), I only get a xinerama-like support, which is not
> what I want (I like to have 2 x more desktops of the same size and not
> having 2 x bigger the same number of desktops).
>   

I am not sure people are working on what you want nowadays. It looks
like XRandR 1.2 (i.e. improved Xinerama) will rule the world. However,
XRandR may provides almost what you want if the window manager does his
job, I mean the WM could be able to emulate 2x more desktops inside same
number of "2 x bigger" desktop.

> 2) It seems that this also disabled gl support, I used to have direct
> rendering, but I don't have it anymore.
>   

What board do you have? I see "Virtual 2560 1024" in your config, but
only i965 can do DRI on more than 2048x2048 currently (the hardware is
limited to 11bits for each direction). So you might want to change to
"2048 2048" and place one screen above the other one.

> I'm attaching my config file, but I really don't think there's also
> really specific, in fact, it seems to be ignoring my declaration of two
> screens.
>   

I guess that's expected. xrandr --output VGA --left-of LVDS is the way
to do it now. Having two Monitor/Screen is probably ignores (assuming it
doesn't even crash right now...). I don't know if having two
ServerLayout sections is supposed to do something.

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Ruben Porras <nahoo82@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 420419@bugs.debian.org (full text, mbox):

From: Ruben Porras <nahoo82@gmail.com>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 420419@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Tue, 24 Apr 2007 19:20:31 +0200
Am Sonntag, den 22.04.2007, 21:16 +0200 schrieb Brice Goglin:

> > Section "Screen"
> >         Identifier      "LCD Screen"
> >         Device          "915-LCD"
> >         Monitor         "LCD"
> >         DefaultDepth    24
> >         SubSection "Display"
> >                 Depth           16
> >                 Modes           "1024x768"
> >         EndSubSection
> >         SubSection "Display"
> >                 Depth           24
> >                 Modes           "1024x768"
> >         EndSubSection
> > EndSection
> >
> > Section "Screen"
> >         Identifier      "External Screen"
> >         Device          "915-External"
> >         Monitor         "External"
> >         DefaultDepth    24
> >         SubSection "Display"
> >                 Depth           16
> >                 Modes           "1280x1024" "1024x768"
> >         EndSubSection
> >         SubSection "Display"
> >                 Depth           24
> >                 Modes           "1280x1024" "1024x768"
> >         EndSubSection
> > EndSection
> >   
> 
> Keep a single entry and drop the "Modes" lines.
> Instead of the "Modes" line, add "Virtual 2048 2048" (or whatever
> virtual screen size you need to put both monitors aside).
> 
> > Section "ServerLayout"
> > 	Identifier	"Default Layout"
> >         Screen                  "LCD Screen"
> >         Screen                  "External Screen" LeftOf "LCD Screen"
> > #        Screen                  "External Screen" RightOf "LCD Screen"
> > #	Screen		"Default Screen"
> >   
> 
> Keep a single Screen line without any LeftOf/RightOf indication.
> 
> To get the same behavior with this config, you may just do something like
>     xrandr --output VGA --right-of LVDS
> after starting X to place one monitor on the right of the other one.

I know that maybe this info is anywere else, but I cannot find it. I
followed your instructions, but then I do not get the same results as
before. If I add the Virtual option, I get the same effect as before
with Xinerama. If I remove the Virtual both monitors have the same copy
of the image.

Neither of the is what I have before. Before I have two independent
monitors. It was not possible to move windows across them, etc. it was
not like Xinerama.

So, I would not say that I can upgrade reteining the old behaviour :(

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 420419@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Ruben Porras <nahoo82@gmail.com>, 420419@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Tue, 24 Apr 2007 19:51:47 +0200
Ruben Porras wrote:
> I know that maybe this info is anywere else, but I cannot find it. I
> followed your instructions, but then I do not get the same results as
> before. If I add the Virtual option, I get the same effect as before
> with Xinerama. If I remove the Virtual both monitors have the same copy
> of the image.
>
> Neither of the is what I have before. Before I have two independent
> monitors. It was not possible to move windows across them, etc. it was
> not like Xinerama.
>
> So, I would not say that I can upgrade reteining the old behaviour :(
>   

That's right.

Why do you need 2 independent screens? You want to move in virtual
desktops on one screen without moving on the other one? It looks like it
might be something that window manager will have to implement on top of
Xinerama (which is now implemented on top of XRandR 1.2). People seem to
really push XRandR 1.2 nowadays...

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Ruben Porras <nahoo82@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 420419@bugs.debian.org (full text, mbox):

From: Ruben Porras <nahoo82@gmail.com>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 420419@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Tue, 24 Apr 2007 20:06:21 +0200
Am Dienstag, den 24.04.2007, 19:51 +0200 schrieb Brice Goglin:
> Ruben Porras wrote:
> > I know that maybe this info is anywere else, but I cannot find it. I
> > followed your instructions, but then I do not get the same results as
> > before. If I add the Virtual option, I get the same effect as before
> > with Xinerama. If I remove the Virtual both monitors have the same copy
> > of the image.
> >
> > Neither of the is what I have before. Before I have two independent
> > monitors. It was not possible to move windows across them, etc. it was
> > not like Xinerama.
> >
> > So, I would not say that I can upgrade reteining the old behaviour :(
> >   
> 
> That's right.
> 
> Why do you need 2 independent screens?

a) i use ion3, which does not support Xinerama

b) I don't like the mouse jumping from one window to another one ;)

>  You want to move in virtual
> desktops on one screen without moving on the other one?

One screen without moving to the other one. Can I get this behaviour
back?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 420419@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Ruben Porras <nahoo82@gmail.com>
Cc: 420419@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Tue, 24 Apr 2007 20:38:09 +0200
Ruben Porras wrote:
>>  You want to move in virtual
>> desktops on one screen without moving on the other one?
>>     
>
> Can I get this behaviour back?
>   


I don't know about ion3, but I know that lots of window managers allow
you to put your mail client on one Xinerama screen and flag it "appear
on all workspace" so that it always appear while you switch between
workspaces in the other screen.

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Daniel Ruoso <daniel.ruoso@segula.pt>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 420419@bugs.debian.org (full text, mbox):

From: Daniel Ruoso <daniel.ruoso@segula.pt>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 420419@bugs.debian.org
Subject: Re: Bug#420419: Current version don't support dual-screen in dual-head
Date: Tue, 24 Apr 2007 10:20:17 +0100
Seg, 2007-04-23 às 21:45 +0200, Brice Goglin escreveu:
> Daniel Ruoso wrote:
> > 1) I couldn't make the X server work with two different screens (I
> > mean :0.0 and :0.1), I only get a xinerama-like support, which is not
> > what I want (I like to have 2 x more desktops of the same size and not
> > having 2 x bigger the same number of desktops).
> I am not sure people are working on what you want nowadays. It looks
> like XRandR 1.2 (i.e. improved Xinerama) will rule the world. However,
> XRandR may provides almost what you want if the window manager does his
> job, I mean the WM could be able to emulate 2x more desktops inside same
> number of "2 x bigger" desktop.

Ouch... I think this is a must for lenny, I mean, we must guarantee that
every single window manager (ok, at least gnome and kde wm) is able to
do that...

> > 2) It seems that this also disabled gl support, I used to have direct
> > rendering, but I don't have it anymore.
> What board do you have? I see "Virtual 2560 1024" in your config, but
> only i965 can do DRI on more than 2048x2048 currently (the hardware is
> limited to 11bits for each direction). So you might want to change to
> "2048 2048" and place one screen above the other one.

Hmm... got it... Is there some hack to avoid having to wall-mount the
other monitor in top of my laptop in other to get a sane mouse
behaviour?

> > I'm attaching my config file, but I really don't think there's also
> > really specific, in fact, it seems to be ignoring my declaration of two
> > screens.
> I guess that's expected. xrandr --output VGA --left-of LVDS is the way
> to do it now. Having two Monitor/Screen is probably ignores (assuming it
> doesn't even crash right now...). I don't know if having two
> ServerLayout sections is supposed to do something.

The two servers were just because I had a fallback config that I turned
on from time to time...

daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 420419@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Daniel Ruoso <daniel.ruoso@segula.pt>, 420419@bugs.debian.org
Subject: Re: Bug#420419: Current version don't support dual-screen in dual-head
Date: Thu, 26 Apr 2007 19:02:22 +0200
Daniel Ruoso wrote:
> Seg, 2007-04-23 às 21:45 +0200, Brice Goglin escreveu:
>   
>> I am not sure people are working on what you want nowadays. It looks
>> like XRandR 1.2 (i.e. improved Xinerama) will rule the world. However,
>> XRandR may provides almost what you want if the window manager does his
>> job, I mean the WM could be able to emulate 2x more desktops inside same
>> number of "2 x bigger" desktop.
>>     
>
> Ouch... I think this is a must for lenny, I mean, we must guarantee that
> every single window manager (ok, at least gnome and kde wm) is able to
> do that...
>   

Well, unfortunately, you might be too optimistic here, I am not sure
they are planning to actually implement this very soon...

>> What board do you have? I see "Virtual 2560 1024" in your config, but
>> only i965 can do DRI on more than 2048x2048 currently (the hardware is
>> limited to 11bits for each direction). So you might want to change to
>> "2048 2048" and place one screen above the other one.
>>     
>
> Hmm... got it... Is there some hack to avoid having to wall-mount the
> other monitor in top of my laptop in other to get a sane mouse
> behaviour?
>   

There has been some discussion recently about what strategy to use when
the mouse goes from one screen to another screen with a different size
(or even if there's a "hole" between them). If it ends up providing a
configuration option for this behavior, there *might* be a way to answer
your question. But, for now, I don't think it is possible.

Brice




Forcibly Merged 420419 426893. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Thu, 31 May 2007 16:57:11 GMT) Full text and rfc822 format available.

Forcibly Merged 420419 426893 431389. Request was from "Brice Goglin" <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Mon, 02 Jul 2007 08:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Dave Allen Barker Jr <email@1.0ne.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 420419@bugs.debian.org (full text, mbox):

From: Dave Allen Barker Jr <email@1.0ne.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: Ruben Porras <nahoo82@gmail.com>, 420419@bugs.debian.org
Subject: Re: Bug#420419: Current version (of xserver-xorg-video-intel) don't support dual-screen in dual-head
Date: Thu, 05 Jul 2007 11:17:15 -0400
[Message part 1 (text/plain, inline)]
Brice Goglin wrote, On 12/23/-28158 02:59 PM:
> Ruben Porras wrote:
>   
>> If I add the Virtual option, I get the same effect as before
>> with Xinerama. If I remove the Virtual both monitors have the same copy
>> of the image.
>>
>> Neither of the is what I have before. Before I have two independent
>> monitors. It was not possible to move windows across them, etc. it was
>> not like Xinerama.
>>
>> So, I would not say that I can upgrade reteining the old behaviour :(
>>   
>>     
>
> That's right.
>
> Why do you need 2 independent screens?

For me, it's because I can't define DPI on a per display basis, only per
screen.

My laptop has a high DPI display (small physical size but high
resolution), requiring a higher (>96) DPI display setting for text to be
comfortably (physically) large (and sharp). I have a stand-alone display
that is physically large, but not very high resolution, so a lower
(<=96) DPI setting works to display more (if uglier) legible (physically
sizable) text. When using both the laptop and stand-alone display in a
multi-head configuration, it makes sense to maintain those DPI
properties, and right now that can only be done in a multi-/screen/
(/not/ multi-display (single-screen) (ala xrandr 1.2/xinerama))
configuration (since DPI is per screen, not per display).


[signature.asc (application/pgp-signature, attachment)]

Forwarded-to-address changed from https://bugs.freedesktop.org/show_bug.cgi?id=10706 to https://bugs.freedesktop.org/show_bug.cgi?id=10706, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=10299. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 14 Aug 2007 22:21:12 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from https://bugs.freedesktop.org/show_bug.cgi?id=10706, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=10299 to https://bugs.freedesktop.org/show_bug.cgi?id=10706, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=10299. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 14 Aug 2007 22:21:14 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from https://bugs.freedesktop.org/show_bug.cgi?id=10706, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=10299 to https://bugs.freedesktop.org/show_bug.cgi?id=10706, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=10299. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 14 Aug 2007 22:21:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to "Julien Wajsberg" <felash@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #91 received at 420419@bugs.debian.org (full text, mbox):

From: "Julien Wajsberg" <felash@gmail.com>
To: 420419@bugs.debian.org
Subject: WIth two video cards
Date: Wed, 22 Aug 2007 14:33:15 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm basically having the same problem (same segfault), but I can't find the
correct way to configure my X server with the new intel driver.
In fact I'm using two very different video cards for my xinerama setup: one
i845G (driver intel) and one old Matrox Mystique (driver mga). I couldn't
find any information about the new configuration with this type of setup, so
I would appreciate a lot to get some help for this issue.

Here is an excerpt of my new xorg.conf (I removed the sections about the
keyboard and DRI) :

Section "Device"
    Identifier    "matrox"
    Driver        "mga"
    BusID        "PCI:1:0:0"
EndSection

Section "Device"
    Identifier    "Intel"
    Driver        "intel"
    BusID        "PCI:0:2:0"
EndSection

Section "Screen"
    Identifier    "Default Screen"
        Device          "Intel"
    DefaultDepth    16
    SubSection "Display"
        Depth 24
        Virtual 2048 2048
    EndSubSection

    SubSection "Display"
        Depth 16
        Virtual 2048 2048
    EndSubSection

EndSection


I tried using two Device lines in my Screen section, and got some weird
results; I tried with using +xinerama when starting the server, or without.

I must say I could make it work in "two independant screens" mode (only the
screen on the matrox card was a bit weird, but I suspect I'll have to try a
preferred mode for that).


Here is the relevant part of my old xorg.conf

Section "Device"
    Identifier    "Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset
Integrated Graphics Device"
    Driver        "intel"
    BusID        "PCI:0:2:0"
EndSection

Section "Device"
    Identifier    "Matrox Mystique"
    Driver        "mga"
    BusID        "PCI:1:0:0"
EndSection

Section "Monitor"
    Identifier    "Philips 170S"
    Option        "DPMS"
        Gamma           0.8
EndSection

Section "Monitor"
    Identifier    "NEC MultiSync FE950+"
    Option        "DPMS"
    HorizSync    30-96
    VertRefresh    50-160
EndSection

Section "Screen"
    Identifier    "Default Screen"
    Device        "Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset
Integrated Graphics Device"
    Monitor        "Philips 170S"
    DefaultDepth    16

    Lots of SubSection "Display"
EndSection

Section "Screen"
    Identifier    "Second Screen"
    Device        "Matrox Mystique"
    Monitor        "NEC MultiSync FE950+"
    DefaultDepth    16
    Lots of SubSection "Display"
EndSection

Section "ServerLayout"
    Identifier    "Default Layout"
    Screen        "Default Screen"
    Screen        "Second Screen" RightOf "Default Screen"
    InputDevice    "Generic Keyboard"
    InputDevice    "Configured Mouse"
EndSection


And I used to start X with the +xinerama option.



Thanks for having read until this ;)
Regards,
-- 
Julien Wajsberg
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #96 received at 420419@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Julien Wajsberg <felash@gmail.com>, 420419@bugs.debian.org
Subject: Re: Bug#420419: WIth two video cards
Date: Wed, 22 Aug 2007 18:28:21 +0200
Julien Wajsberg wrote:
> I'm basically having the same problem (same segfault), but I can't
> find the correct way to configure my X server with the new intel driver.
> In fact I'm using two very different video cards for my xinerama
> setup: one i845G (driver intel) and one old Matrox Mystique (driver
> mga). I couldn't find any information about the new configuration with
> this type of setup, so I would appreciate a lot to get some help for
> this issue.

I don't know whether this can work as of today. The new Intel wants the
new randr-1.2 aware syntax (or it will segfault) while the mga driver
only supports to the old xinerama syntax. Maybe using the randr-1.2
branch of the mga driver could help, but it's not clear to me what the
dual-device config should look like.

Brice




Tags added: upstream, wontfix Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 24 Aug 2007 20:03:04 GMT) Full text and rfc822 format available.

Tags added: upstream, wontfix Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 24 Aug 2007 20:03:06 GMT) Full text and rfc822 format available.

Tags added: upstream, wontfix Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 24 Aug 2007 20:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. (Mon, 17 Nov 2008 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel@tikei.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 17 Nov 2008 08:03:05 GMT) Full text and rfc822 format available.

Message #107 received at 420419@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel@tikei.de>
To: 420419@bugs.debian.org, 420419-submitter@bugs.debian.org
Subject: xserver-xorg-video-intel crashes with old dual-head config
Date: Mon, 17 Nov 2008 08:54:46 +0100
Hi,

I was told that RandR 1.2 doesn't support multi-head with more than one
card, so RandR is not an option in this setup.

Regards,
Tino




Message sent on to Ruben Porras <nahoo82@gmail.com>:
Bug#420419. (Mon, 17 Nov 2008 08:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. (Mon, 12 Jan 2009 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Balázsi Miklós" <balazsimiklos@tvn.hu>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 12 Jan 2009 16:18:03 GMT) Full text and rfc822 format available.

Message #115 received at 420419@bugs.debian.org (full text, mbox):

From: "Balázsi Miklós" <balazsimiklos@tvn.hu>
To: <420419@bugs.debian.org>, <420419-submitter@bugs.debian.org>
Subject: xserver-xorg-video-intel crashes with old dual-head config
Date: Mon, 12 Jan 2009 17:14:26 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hi, 
 
I decided to upgrade from etch to lenny. Tought that it is stable enough. 
When I tried to boot up with my Xorg.conf used in etch I got the same crash. 
Is there any way to configure dualhead card with lenny? 
I attached my X dump. 
Could You please, investigate? 
 
Miki 



---------------------------------------------------------------------------------- 
Képtáram:   http://balazsimiklos.xfree.hu
Blogom:     http://balazsimiklos.blog.xfree.hu
Videótáram: http://balazsimiklos.video.xfree.hu

Szótár: http://szotar.xfree.hu ( 587119 szópár )
Unatkozik? >>> http://video.xfree.hu
	

[x.dump (application/octet-stream, attachment)]

Message sent on to Ruben Porras <nahoo82@gmail.com>:
Bug#420419. (Mon, 12 Jan 2009 16:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. (Mon, 12 Jan 2009 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 12 Jan 2009 16:48:03 GMT) Full text and rfc822 format available.

Message #123 received at 420419@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Balázsi Miklós <balazsimiklos@tvn.hu>, 420419@bugs.debian.org
Subject: Re: Bug#420419: xserver-xorg-video-intel crashes with old dual-head config
Date: Mon, 12 Jan 2009 17:46:52 +0100
On Mon, Jan 12, 2009 at 17:14:26 +0100, Balázsi Miklós wrote:

> Hi, 
>  
> I decided to upgrade from etch to lenny. Tought that it is stable enough. 
> When I tried to boot up with my Xorg.conf used in etch I got the same crash. 
> Is there any way to configure dualhead card with lenny? 

See http://wiki.debian.org/XStrikeForce/HowToRandR12
and http://intellinuxgraphics.org/dualhead.html

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#420419; Package xserver-xorg-video-intel. (Wed, 23 Feb 2011 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 23 Feb 2011 01:27:03 GMT) Full text and rfc822 format available.

Message #128 received at 420419@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 420419@bugs.debian.org
Cc: Ruben Porras <nahoo82@gmail.com>
Subject: Re: Bug#420419: xserver-xorg-video-intel: Chrashes on startup
Date: Wed, 23 Feb 2011 02:22:36 +0100
[Message part 1 (text/plain, inline)]
Hi,

Brice Goglin <Brice.Goglin@ens-lyon.org> (24/04/2007):
> I don't know about ion3, but I know that lots of window managers
> allow you to put your mail client on one Xinerama screen and flag it
> "appear on all workspace" so that it always appear while you switch
> between workspaces in the other screen.

could you please tell us what the status is with squeeze or sid?

KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Solveig <debian@solveig.org>:
You have taken responsibility. (Fri, 03 Jan 2014 20:06:17 GMT) Full text and rfc822 format available.

Notification sent to Ruben Porras <nahoo82@gmail.com>:
Bug acknowledged by developer. (Fri, 03 Jan 2014 20:06:17 GMT) Full text and rfc822 format available.

Message #133 received at 420419-done@bugs.debian.org (full text, mbox):

From: Solveig <debian@solveig.org>
To: 420419-done@bugs.debian.org
Subject: Re: xserver-xorg-video-intel crashes with old dual-head config - closing
Date: Fri, 03 Jan 2014 20:02:34 +0000
Hi! I'm closing this bug, since it was tagged "wontfix" for some
years, without answer, and the upstream doesn't maintain it anymore.

If you have new reasons to point out this
problem, please feel free to re-open it or ask me to do it.

Solveig



Reply sent to Solveig <debian@solveig.org>:
You have taken responsibility. (Fri, 03 Jan 2014 20:06:17 GMT) Full text and rfc822 format available.

Notification sent to mattia <malattia@linux.it>:
Bug acknowledged by developer. (Fri, 03 Jan 2014 20:06:17 GMT) Full text and rfc822 format available.

Reply sent to Solveig <debian@solveig.org>:
You have taken responsibility. (Fri, 03 Jan 2014 20:06:18 GMT) Full text and rfc822 format available.

Notification sent to "Marc Pignat" <Marc.Pignat@hevs.ch>:
Bug acknowledged by developer. (Fri, 03 Jan 2014 20:06:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Feb 2014 07:26:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:55:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.